com.amazonaws.services.elastictranscoder.model

## Class JobAlbumArt

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.JobAlbumArt

All Implemented Interfaces:
  Serializable, Cloneable

    public class JobAlbumArt
    extends Object
    implements Serializable, Cloneable

The .jpg or .png file associated with an audio file.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobAlbumArt()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JobAlbumArt` `clone()`
`boolean` `equals(Object obj)`
`List<Artwork>` `getArtwork()` The file to be used as album art.
`String` `getMergePolicy()` A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.
`int` `hashCode()`
`void` `setArtwork(Collection<Artwork> artwork)` The file to be used as album art.
`void` `setMergePolicy(String mergePolicy)` A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`JobAlbumArt` `withArtwork(Artwork... artwork)` The file to be used as album art.
`JobAlbumArt` `withArtwork(Collection<Artwork> artwork)` The file to be used as album art.
`JobAlbumArt` `withMergePolicy(String mergePolicy)` A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobAlbumArt

    public JobAlbumArt()

### Method Detail

#### setMergePolicy

    public void setMergePolicy(String mergePolicy)

A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.

- `Replace:` The specified album art replaces any existing album art.

- `Prepend:` The specified album art is placed in front of any existing album art.

- `Append:` The specified album art is placed after any existing album art.

- `Fallback:` If the original input file contains artwork, Elastic Transcoder uses that artwork for the output. If the original input does not contain artwork, Elastic Transcoder uses the specified album art file.

Parameters:
  `mergePolicy` - A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.

  - `Replace:` The specified album art replaces any existing album art.

  - `Prepend:` The specified album art is placed in front of any existing album art.

  - `Append:` The specified album art is placed after any existing album art.

  - `Fallback:` If the original input file contains artwork, Elastic Transcoder uses that artwork for the output. If the original input does not contain artwork, Elastic Transcoder uses the specified album art file.

#### getMergePolicy

    public String getMergePolicy()

A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.

- `Replace:` The specified album art replaces any existing album art.

- `Prepend:` The specified album art is placed in front of any existing album art.

- `Append:` The specified album art is placed after any existing album art.

- `Fallback:` If the original input file contains artwork, Elastic Transcoder uses that artwork for the output. If the original input does not contain artwork, Elastic Transcoder uses the specified album art file.

Returns:
  A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.

  - `Replace:` The specified album art replaces any existing album art.

  - `Prepend:` The specified album art is placed in front of any existing album art.

  - `Append:` The specified album art is placed after any existing album art.

  - `Fallback:` If the original input file contains artwork, Elastic Transcoder uses that artwork for the output. If the original input does not contain artwork, Elastic Transcoder uses the specified album art file.

#### withMergePolicy

    public JobAlbumArt withMergePolicy(String mergePolicy)

A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.

- `Replace:` The specified album art replaces any existing album art.

- `Prepend:` The specified album art is placed in front of any existing album art.

- `Append:` The specified album art is placed after any existing album art.

- `Fallback:` If the original input file contains artwork, Elastic Transcoder uses that artwork for the output. If the original input does not contain artwork, Elastic Transcoder uses the specified album art file.

Parameters:
  `mergePolicy` - A policy that determines how Elastic Transcoder handles the existence of multiple album artwork files.

  - `Replace:` The specified album art replaces any existing album art.

  - `Prepend:` The specified album art is placed in front of any existing album art.

  - `Append:` The specified album art is placed after any existing album art.

  - `Fallback:` If the original input file contains artwork, Elastic Transcoder uses that artwork for the output. If the original input does not contain artwork, Elastic Transcoder uses the specified album art file.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getArtwork

    public List<Artwork> getArtwork()

The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20. Valid formats are `.jpg` and `.png`

Returns:
  The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20. Valid formats are `.jpg` and `.png`

#### setArtwork

    public void setArtwork(Collection<Artwork> artwork)

The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20. Valid formats are `.jpg` and `.png`

Parameters:
  `artwork` - The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20. Valid formats are `.jpg` and `.png`

#### withArtwork

    public JobAlbumArt withArtwork(Artwork... artwork)

The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20. Valid formats are `.jpg` and `.png`

NOTE: This method appends the values to the existing list (if any). Use `setArtwork(java.util.Collection)` or `withArtwork(java.util.Collection)` if you want to override the existing values.

Parameters:
  `artwork` - The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20. Valid formats are `.jpg` and `.png`
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withArtwork

    public JobAlbumArt withArtwork(Collection<Artwork> artwork)

The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20. Valid formats are `.jpg` and `.png`

Parameters:
  `artwork` - The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20. Valid formats are `.jpg` and `.png`
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public JobAlbumArt clone()

Overrides:
  `clone` in class `Object`